Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreRenderViewEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PreRenderViewEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreRenderViewEvent

extends ComponentSystemEvent

When an instance of this event is passed to `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` or `ComponentSystemEventListener.processEvent(javax.faces.event.ComponentSystemEvent)`, the listener implementation may assume that the `source` of this event instance is the `UIViewRoot` instance that is about to be rendered.

It is valid for a listener for this event to change the `UIViewRoot` in the current `FacesContext`, but the listener must ensure that the new `UIViewRoot` was created with a call to `ViewHandler.createView(javax.faces.context.FacesContext, java.lang.String)`, and that the view is fully populated with the children to be traversed during render. The listener implementation may call `ViewDeclarationLanguage.buildView(javax.faces.context.FacesContext, javax.faces.component.UIViewRoot)` to populate the `UIViewRoot`.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreRenderViewEvent(UIViewRoot root)` Instantiate a new `PreRenderViewEvent` that indicates the argument `root` is about to be rendered.

Method Summary

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreRenderViewEvent

    public PreRenderViewEvent(UIViewRoot root)

  Instantiate a new `PreRenderViewEvent` that indicates the argument `root` is about to be rendered.

  Parameters:
    `root` - the `UIViewRoot` that is about to be rendered.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.